/*
TPD0 patch, forces polling mode for VoodooI2C. Requires _CRS->XCRS patch.

This is the second possible patch. 
It is basically as if there isn't a patch at all, as I am yet to recieve an IOREG dump from anyone. (I do not have this device.)
 */
DefinitionBlock ("", "SSDT", 2, "hack", "TPD0", 0x00000000)
{
    External (_SB_.PCI0.I2C0.TPD0, DeviceObj)
    External (_SB_.PCI0.I2C0.TPD0.SBFB, UnknownObj)
    External (_SB_.PCI0.I2C0.TPD0.SBFI, UnknownObj)
    External (SBFB, IntObj)

    Scope (_SB.PCI0.I2C0.TPD0)
    {
        Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
        {
            Return (ConcatenateResTemplate(SBFB, SBFI)) /* External reference */
        }
    }
}

