// disable nvidia DGPU, prevent reinitialization
// by cowcowpod/cowpod
// RMD1000 can be used instead, but this seems to work.
// requires _ON->XON patch

DefinitionBlock ("", "SSDT", 2, "hack", "DGOF", 0x00000000)
{
    External (_SB_.PCI0.PEG0.PEGP, DeviceObj)
    External (_SB_.PCI0.PEG0.PEGP._OFF, MethodObj)    // 0 Arguments

    Scope (_SB.PCI0.PEG0.PEGP)
    {
        Method (_INI, 0, NotSerialized)  // _INI: Initialize
        {
            _OFF ()
        }
    }
    Scope (_SB.PCI0.PEG0.PEGP)
    {
        Method (_ON, 0, Serialized)  // _ON_: Power On
        {
            // do nothing
        }
    }
}

