/*
TPD0 patch, forces polling mode for VoodooI2C. Requires _CRS->XCRS patch.
 */
DefinitionBlock ("", "SSDT", 2, "hack", "TPD0", 0x00000000)
{
    External (_SB_.PCI0.I2C0.TPD0, DeviceObj)
    External (_SB_.PCI0.I2C0.TPD0.SBFB, UnknownObj)
    External (SBFB, IntObj)

    Scope (_SB.PCI0.I2C0.TPD0)
    {
        Method (_CRS, 0, NotSerialized)  // _CRS: Current Resource Settings
        {
            Return (SBFB) /* External reference */
        }
    }
}

